+++
title = "helm repo index"
weight = "30"

tags = ["commands"]
section = "helm-commands"
categories = ["helm-commands"]
type = "page"

slug = "helm-repo-index"

[menu.main]
  url = "helm-repo-index"
  parent = "helm-commands"

+++

## helm repo index

generate an index file given a directory containing packaged charts

### Synopsis



Read the current directory and generate an index file based on the charts found.

This tool is used for creating an 'index.yaml' file for a chart repository. To
set an absolute URL to the charts, use '--url' flag.

To merge the generated index with an existing index file, use the '--merge'
flag. In this case, the charts found in the current directory will be merged
into the existing index, with local charts taking priority over existing charts.


```
helm repo index [flags] [DIR]
```

### Options

```
      --merge string   merge the generated index into the given index
      --url string     url of chart repository
```

### Options inherited from parent commands

```
      --debug                     enable verbose output
      --home string               location of your Helm config. Overrides $HELM_HOME (default "~/.helm")
      --host string               address of tiller. Overrides $HELM_HOST
      --kube-context string       name of the kubeconfig context to use
      --tiller-namespace string   namespace of tiller (default "kube-system")
```

### SEE ALSO
* [helm repo](#helm-repo)	 - add, list, remove, update, and index chart repositories